/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#include <avr/pgmspace.h>
#include <avr/version.h>
#include <avr/eeprom.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

#include "hardware/adc/adc.h"

int cmd_adc( int argc, char ** argv )
{
	int channel;
	
	if ( !strcmp_P( argv[ 1 ], PSTR("get") ) )
	{
		channel = atoi( argv[ 2 ] );
		if ( channel < 8 && channel >= 0 )
			printf_P( PSTR("ADC (%d) = %d\r\n"), channel, ADC_GetValue( channel ) );
		else
			printf_P( PSTR("Error, %d ist kein gülter ADC-Eingang\r\n"), channel );
	}
	else
		printf_P( PSTR("adc <get> <0..7>\r\n"));

}
