/***************************************************************************
 *            pcint0.c
 *
 *  Sat May  9 19:50:48 2009
 *  Copyright  2009  Dirk Broßwick
 *  <sharandac@snafu.de>
 ****************************************************************************/

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stddef.h>

#include "pcint0.h"

PCINT0_CALLBACK_FUNC PCINT0_CallbackFunc;

void PCINT0_init( void )
{
		PCINT0_CallbackFunc = NULL;
}

void PCINT0_enableinterrupt( void )
{
	PCICR |= ( 1<<PCIE0 );	
}

void PCINT0_diableinterrupt( void )
{
	PCICR &= ~( 1<<PCIE0 );	
}

void PCINT0_enablePin( char PIN)
{
	if ( PIN > 0 && PIN < 8 )
		PCMSK0 |= ( 1<<PIN );
}

void PCINT0_disablePin( char PIN)
{
	if ( PIN > 0 && PIN < 8 )
		PCMSK0 |= ( 1<<PIN );
}

void PCINT0_SetCallback( PCINT0_CALLBACK_FUNC pFunc )
{
		PCINT0_CallbackFunc = pFunc ;
}

ISR( PCINT0_vect )
{
	if ( PCINT0_CallbackFunc != NULL ) PCINT0_CallbackFunc();	
}